Public Class Form1

    Private Sub Form1_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        If SerialPort1.IsOpen = True Then
            SerialPort1.Close()
        End If
    End Sub


    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim ports() As String
        Dim port As String

        'Com Ports suchen und in Liste eintragen
        ports = System.IO.Ports.SerialPort.GetPortNames
        ComboBox1.Text = ports(0)
        For Each port In ports
            ComboBox1.Items.Add(port)
        Next port

        SerialPort1.PortName() = ComboBox1.Text
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged
        SerialPort1.PortName() = ComboBox1.Text
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        'Button COM Port Open/Close
        If SerialPort1.IsOpen = False Then
            Button6.Text = "CLOSE"
            Button6.BackColor = SystemColors.Control
            ComboBox1.Enabled = False
            SerialPort1.Open()
        Else
            Button6.Text = "OPEN"
            ComboBox1.Enabled = True
            Button6.BackColor = Color.Red
            SerialPort1.Close()
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim data As Integer

        data = 0

        'Status der Checkboxen ermitteln
        If CheckBox1.Checked = Enabled Then
            data = data + 1
        End If
        If CheckBox2.Checked = Enabled Then
            data = data + 2
        End If
        If CheckBox3.Checked = Enabled Then
            data = data + 4
        End If
        If CheckBox4.Checked = Enabled Then
            data = data + 8
        End If
        If CheckBox5.Checked = Enabled Then
            data = data + 16
        End If
        If CheckBox6.Checked = Enabled Then
            data = data + 32
        End If

        'Status an Bluetooth Relayskarte bermitteln
        If SerialPort1.IsOpen = True Then
            SerialPort1.Write(Chr(data))
        End If

    End Sub
End Class
